commit f00b55eef387b41f259406cc77673473f38d73fb
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Aug 18 02:18:30 2021

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 946e5d6693f..c18fae9c975 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,10 @@
+2021-08-17  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/101373
+	PR tree-optimization/101868
+	* tree-ssa-pre.c (prune_clobbered_mems): Also prune trapping
+	references when the BB may not return.
+
 2021-08-16  Eric Botcazou  <ebotcazou@gcc.gnu.org>
 
 	* dwarf2out.c (add_scalar_info): Deal with DW_AT_data_bit_offset.
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index e72fc6bd26d..70b09db5ed7 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20210817
+20210818
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 54c1fcdaf8c..6ff79b9a5f2 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,19 @@
+2021-08-17  Thomas Schwinge  <thomas@codesourcery.com>
+
+	Backported from master:
+	2021-08-17  Thomas Schwinge  <thomas@codesourcery.com>
+
+	* gcc.dg/pr78213.c: Restore testing.
+
+2021-08-17  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/101373
+	PR tree-optimization/101868
+	* gcc.dg/lto/pr101868_0.c: New testcase.
+	* gcc.dg/lto/pr101868_1.c: Likewise.
+	* gcc.dg/lto/pr101868_2.c: Likewise.
+	* gcc.dg/lto/pr101868_3.c: Likewise.
+
 2021-08-16  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index f4a5b0bc37a..331d6f7851a 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,11 @@
+2021-08-17  Thomas Schwinge  <thomas@codesourcery.com>
+
+	Backported from master:
+	2021-08-17  Thomas Schwinge  <thomas@codesourcery.com>
+
+	* testsuite/lib/libstdc++.exp: Avoid illegal argument to verbose,
+	continued.
+
 2021-08-11  Jonathan Wakely  <jwakely@redhat.com>
 
 	Backported from master:

